import { ModuleWithProviders, NgModule } from '@angular/core';

import { SERVICES } from './services';

@NgModule({})
export class MemberReferrerRootModule {}

@NgModule({})
export class MemberReferrerModule {
  public static forRoot(): ModuleWithProviders<MemberReferrerRootModule> {
    return {
      ngModule: MemberReferrerRootModule,
      providers: [...SERVICES],
    };
  }
}
